=== debian/changelog ===
pymacs (0.25-6) unstable; urgency=medium

  * Team upload.
  * Add explicit build-dep on python3-setuptools (Closes: #1080711)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 03 Feb 2025 01:22:56 +0100

pymacs (0.25-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:13:33 +0100

pymacs (0.25-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 0.23-1.2, 0.21-3.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + pymacs: Drop versioned constraint on emacsen-common in Depends.
    + pymacs: Drop versioned constraint on pymacs in Replaces.
    + pymacs: Drop versioned constraint on pymacs in Breaks.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 21:32:53 -0400

pymacs (0.25-3) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Remove support for Python 2 (Closes: #937474)
  * d/control: Add Breaks+Replaces for pymacs (<< 0.25-2)
  * Add patch to use python3 on Makefile.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Remove trailing whitespaces.

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Apr 2020 00:13:27 -0400

pymacs (0.25-2) unstable; urgency=medium

  [Ondřej Nový]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [Emmanuel Arias]
  * New Maintainer. Closes (#920406).
    - Update d/control. Add me to Uploaders field.
    - Update d/contorl. Add DPMT to Maintainer field.
  * Update d/control.
    - Bump debhelper compatibility to debhelper-compat 11
      (from 8).
  * Delete d/compat file. This is becauase on d/control
    is set debhelper-compat on version 12.
  * Update d/copyright file. Add me on debian/* files copyright.
  * Update d/rules. Modify delete --list-missing
    from dh_install from override_dh_install. And add a
    override_dh_missing target where add dh_missing --list-missing
  * Bump Standards-Version to 4.3.0 (from 3.9.5)

 -- Emmanuel Arias <emamnuelarias30@gmail.com>  Thu, 07 Feb 2019 00:00:14 +0000

pymacs (0.25-1) unstable; urgency=low

  * New upstream release. Closes: #673219.
  * d/control:
    + Update Homepage field.
    + Take over maintainership with previous maintainer ACK.
    + Add Python Modules Team to Uploaders and corresponding Vcs-* fields.
    + Bump Standards-Version to 3.9.5.
      - d/copyright: Switch to machine-readable format.
    + Add missing X-Python-Version.
    + Add ${misc:Depends} to Depends (lintian).
    + Use python-all rather than python-dev (no extension being built).
  * d/source/format: Added and now using 3.0 (quilt).
  * d/pymacs.postinst,d/pymacs.prerm: Dropped (empty).
  * d/emacs_startup: Dropped (not used).
  * d/rules:
    + Switch to dh.
      - d/control,d/compat: Require debhelper >= 8.
    + Use pybuild.
      - d/control: Add Build-Depends against dh-python.
  * debian/watch: Update download URL.
  * Follow Debian Emacs Policy:
    + d/emacsen-compat: Set emacsen-common compat level to 0.
    + d/control: Depends on emacsen-common >= 2.0.8.
    + d/emacsen-startup: Properly set up load-path. Thanks to Darren
      Hoo. Closes: #565173.
    + d/emacsen-install: Use symlinks rather than copying *.el and do not
      delete them after byte-compilation (required for the help
      system). Thanks to Kevin Ryde. Closes: #689464.
  * d/patches/upstream_changelog.patch: Imported ChangeLog from upstream Git.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 16 Jul 2014 18:56:58 +0900

pymacs (0.23-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2. (Closes: #616970)

 -- Andrea Colangelo <warp10@ubuntu.com>  Sat, 28 Jun 2008 17:48:12 +0200

pymacs (0.23-1.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490489.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:47:17 +0000

pymacs (0.23-1) unstable; urgency=low

  * New upstream release
    - fixes the debian/watch issue (closes: #449704)
    - updates the documentation (closes: #306459)
    - fix an issue with callback functions (closes: 374709)
  * Updated to new policy (no changes required)
  * dropped versioned packages (pythonX.X-pymacs) stanzas in
    debian/control (they are only in old-stable) (closes: #399936)
  * moved Homepage to source package header

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 18 Feb 2008 12:46:15 +0100

pymacs (0.22-6) unstable; urgency=low

  * Updated to new Python policy

 -- Alexandre Fayolle <afayolle@debian.org>  Thu, 15 Jun 2006 15:21:07 +0200

pymacs (0.22-5) unstable; urgency=low

  * updated standards to 3.7.2
  * use debhelper 5.0
  * add missing dependency on emacsen-common
  * fixed a few lintian warnings and errors
  * fixed package short description

 -- Alexandre Fayolle <afayolle@debian.org>  Tue, 30 May 2006 14:54:29 +0200

pymacs (0.22-4) unstable; urgency=low

  * Removed python2.X-pymacs packages in favor of a single package
    installing in /usr/lib/site-python, and thus available through any
    version of the python interpreter (closes: #351132, #334253)
  * Changed executable shebangs in diff.gz rather than in debian/rules
  * Added encoding declaration in Pymacs/__init__.py and Pymacs/pymacs.py

