=== debian/control ===
Source: pymacs
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-docutils,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: http://pymacs.progiciels-bpi.ca/
Vcs-Browser: https://salsa.debian.org/python-team/packages/pymacs
Vcs-Git: https://salsa.debian.org/python-team/packages/pymacs.git

Package: pymacs
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         emacsen-common
Description: interface between Emacs Lisp and Python
 Pymacs is a powerful tool which, once started from Emacs, allows
 both-way communication between Emacs Lisp and Python. Pymacs aims
 Python as an extension language for Emacs rather than the other way
 around, and this asymmetry is reflected in some design
 choices. Within Emacs Lisp code, one may load and use Python
 modules. Python functions may themselves use Emacs services, and
 handle Emacs Lisp objects kept in Emacs Lisp space.
