=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pymacs

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_configure:
	python3 pppp -C ppppconfig.py \
		pymacs.el.in \
		pymacs.rst.in \
		Pymacs.py.in \
		contrib \
		tests
	dh_auto_configure

override_dh_install:
	rst2html pymacs.rst pymacs.html
	dh_install -X.in

override_dh_missing:
	dh_missing --list-missing

override_dh_installdocs:
	dh_installdocs -X.in

execute_before_dh_clean:
	make clean
	rm -f pymacs.html

override_dh_compress:
	dh_compress -X.py -X.el
